package SwitchToCustomDataParam;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;

public class SwitchToCustomDataParam extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			SwitchToCustomDataParam report = new SwitchToCustomDataParam();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSwitchToCustomDataParam(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSwitchToCustomDataParam(this));
	}

	Component doSwitchToCustomDataParam(Object parent) {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		// Open the template with backup data
		QbReport report = new QbReport(parent, // container 
				"SwitchToCustomDataParam.rpt", // template temp
				false, false, false, true);

		try {
			// Switch data source
			report.getInputData().setClassFile("SwitchToCustomDataParam.ProductParamInfo");

			report.getAllParameters().get(0).setValue(new Integer(25));

			// Refresh report
			report.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();

		}

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}
}
